Bug 48972 - FILEOPEN: Fail to open an odt with a checkbox
Summary: FILEOPEN: Fail to open an odt with a checkbox
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-20 07:30 UTC by alci
Modified: 2021-03-26 09:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example document that fails (9.77 KB, application/vnd.oasis.opendocument.text)
2012-04-20 07:30 UTC, alci
Details

Note You need to log in before you can comment on or make changes to this bug.
Description alci 2012-04-20 07:30:32 UTC
Created attachment 60394 [details]
Example document that fails

Problem description: 
Fail to open an odt with a checkbox

Steps to reproduce:
1. create a file with a checkbox with lo3.4
2. try to open it with lo3.5

Current behavior: fails with Read-Error

Expected behavior: open the file

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 Jean-Baptiste Faure 2012-04-21 14:53:16 UTC
I do not reproduce with LO 3.5.2 (TDF version) with FR langpack nor with 
LibreOffice 3.5.4rc0+ (Version ID : 299387d-a73d29c-6845e52-f269e46-cd57e28) under Ubuntu 11.10 x86_64 (gnome-shell).

Please, who is your LO provider ? Ubuntu or TDF ? If you use an Ubuntu version, could you try again with TDF version from http://fr.libreoffice.org/telecharger/ or http://www.libreoffice.org/download/

Best regards. JBF
Comment 2 Marcel Stimberg 2012-04-22 07:29:20 UTC
I can reproduce the OP's error with Ubuntu's libreoffice version (3.5.2-2ubuntu1) on 64-Bit (another comment states that it is not reproducible on 32-Bit Xubuntu, though -- see the Ubuntu Bug Report: https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/986205 ).

With Libreoffice from the TDF (i.e. installing all the .deb's in LibO_3.5.2rc2_Linux_x86-64_install-deb_en-US provided by http://www.libreoffice.org/download/) I can not reproduce it, so the problem seems to be Ubuntu (or Debian) specific.
Comment 3 Björn Michaelsen 2012-04-22 10:23:23 UTC
see downstream: Not Ubuntu specific, cant reproduce with reporters version on precise/64Bit. Needs reproduction scenario.
Comment 4 Marcel Stimberg 2012-04-23 06:29:27 UTC
(again, see downstream:) The problem seems to be Ubuntu specific, after all. Ubuntu's LO 3.5.2 needs the libreoffice-base package installed to correctly open the file, with TDF's 3.5.2. (or earlier Ubuntu versions) this is not necessary.
Comment 5 Björn Michaelsen 2012-04-25 04:42:09 UTC
resolving as NOTOURBUG, as this is a caused by Ubuntu/Debian packaging: 

 http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git;a=commitdiff;h=2e78f0d8b458d1da6d29fe295c7d89a7a376a8d8;hp=d7a82fb84cce7a92f9b84ee67b380f3282f0a19f

_rene_ commited a fix at Debian, so should be fixed with the next releases of Ubuntu and Debian.